> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shards

> Get shards information.



## OpenAPI

````yaml get /shards
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /shards:
    get:
      tags:
        - blocks
      summary: Get Shards
      description: Get shards information.
      operationId: get_shards_shards_get
      parameters:
        - description: Masterchain seqno to fetch shards of.
          required: true
          schema:
            type: integer
            title: Seqno
            description: Masterchain seqno to fetch shards of.
          name: seqno
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShardsResponse'
              examples:
                sample:
                  summary: Shards example
                  value:
                    ok: true
                    result:
                      '@type': blocks.shards
                      shards:
                        - '@type': ton.blockIdExt
                          workchain: 0
                          shard: '-9223372036854775808'
                          seqno: 56262735
                          root_hash: 02rdYNPA1GWvph+2udLPvddNDvtP/nglA7Q8HR82KMk=
                          file_hash: Ae/QaLnzAhzr2TCHJWFMb+yAg64roTKDq6qLAA7Pt58=
                      '@extra': 1755814149.1458454:3:0.786727927934394
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    ShardsResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/BlocksShards'
              description: List of shard blocks at a given masterchain seqno.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    BlocksShards:
      type: object
      description: List of shard blocks at a given masterchain seqno.
      properties:
        '@type':
          type: string
          example: blocks.shards
        shards:
          type: array
          items:
            $ref: '#/components/schemas/TonBlockIdExt'
          description: Shard block IDs at the given masterchain seqno.
        '@extra':
          type: string
      required:
        - shards
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.

````